VMWare Compute resource listing limited to 30 VMs (no pagination).
Description

Apparently if one adds /vms to the URL it will paginate, but:

1) 1) it should default to paginated view if there are more than 30, and

2) The ui for the pagination stuff needs a bit of work as it displays ""Displaying fog extensions/vsphere/mini servers 1 - 30 of 72 in

total". (ANd isn't quite formatted right.)

Associated revisions

Revision c4f7f6f2 - 01/13/2013 03:06 PM - Ohad Levy

fixes #2047 - pagination is not visible on compute resources vms.

this fixes pagination and now default to in browser sort/search for compute resources vms

History

#1 - 01/02/2013 07:40 AM - Ohad Levy

- Assignee changed from Ohad Levy to Sam Kottler

Sam, mind having a look?

for the pagination title, just look in other places where its not active record (such as puppet certs).

#2 - 01/02/2013 04:09 PM - Sam Kottler

Yup, working on this now @Ohad Levy

#3 - 01/02/2013 06:49 PM - Sam Kottler

This is actually two separate bugs. The first line at the bottom of the page that doesn't show the title properly. The second is that the

entries_per_page setting is not respected on any of the compute resource VM listing pages. I'll open a second bug for the latter and deal with the

former here.

#4 - 01/02/2013 06:53 PM - Sam Kottler

Opened #2094. Brian, I added you as a follower of that issue already.

#5 - 01/14/2013 10:26 AM - Ohad Levy

- Status changed from New to Closed

- Assignee changed from Sam Kottler to Ohad Levy
